Get a user by ID
curl --request GET \
--url https://dev-public-api.openphone.dev/users/{userId} \
--header 'Authorization: <api-key>' \
--header 'Quo-Api-Version: <quo-api-version>'{
"data": {
"id": "US123abc",
"email": "johndoe@example.com",
"firstName": "John",
"lastName": "Doe",
"pictureUrl": "https://example.com/picture.jpg",
"role": "owner",
"createdAt": "2022-01-01T00:00:00Z",
"updatedAt": "2022-01-01T00:00:00Z"
}
}{
"message": "The input was invalid",
"docs": "https://quo.com/docs",
"title": "Bad Request",
"errors": [
{
"path": "/userId",
"message": "Expected string to match '^US(.*)$'",
"value": "abc123",
"schema": {
"type": "TemplateLiteral",
"pattern": "^US(.*)$"
}
}
]
}{
"message": "Unauthorized",
"docs": "https://quo.com/docs",
"title": "Unauthorized",
"trace": "6897907457496870895"
}{
"message": "User is forbidden to perform this action",
"docs": "https://quo.com/docs",
"title": "Forbidden",
"trace": "6897907457496870895"
}{
"message": "User with ID US1234567890 not found",
"docs": "https://quo.com/docs",
"title": "Not Found",
"trace": "6897907457496870895"
}{
"message": "We have encountered an unknown error",
"docs": "https://quo.com/docs",
"title": "Unknown",
"trace": "6897907457496870895"
}Users
Get a user by ID
Retrieve detailed information about a specific user in your Quo workspace using the user’s unique identifier.
GET
/
users
/
{userId}
Get a user by ID
curl --request GET \
--url https://dev-public-api.openphone.dev/users/{userId} \
--header 'Authorization: <api-key>' \
--header 'Quo-Api-Version: <quo-api-version>'{
"data": {
"id": "US123abc",
"email": "johndoe@example.com",
"firstName": "John",
"lastName": "Doe",
"pictureUrl": "https://example.com/picture.jpg",
"role": "owner",
"createdAt": "2022-01-01T00:00:00Z",
"updatedAt": "2022-01-01T00:00:00Z"
}
}{
"message": "The input was invalid",
"docs": "https://quo.com/docs",
"title": "Bad Request",
"errors": [
{
"path": "/userId",
"message": "Expected string to match '^US(.*)$'",
"value": "abc123",
"schema": {
"type": "TemplateLiteral",
"pattern": "^US(.*)$"
}
}
]
}{
"message": "Unauthorized",
"docs": "https://quo.com/docs",
"title": "Unauthorized",
"trace": "6897907457496870895"
}{
"message": "User is forbidden to perform this action",
"docs": "https://quo.com/docs",
"title": "Forbidden",
"trace": "6897907457496870895"
}{
"message": "User with ID US1234567890 not found",
"docs": "https://quo.com/docs",
"title": "Not Found",
"trace": "6897907457496870895"
}{
"message": "We have encountered an unknown error",
"docs": "https://quo.com/docs",
"title": "Unknown",
"trace": "6897907457496870895"
}Authorizations
Headers
API version header. Supported values: 2026-03-30
Available options:
2026-03-30 Path Parameters
The unique identifier of the user being retrieved.
Pattern:
^US(.*)$Example:
"US123abc"
Response
OK
Show child attributes
Show child attributes
Was this page helpful?